Compatibility with newest version of CiviCRM and CiviRules